Consultar teste A/B
curl --request GET \
--url https://api.ararahq.com/v1/campaigns/{campaignId}/ab-test \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/campaigns/{campaignId}/ab-test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/campaigns/{campaignId}/ab-test"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/campaigns/{campaignId}/ab-test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"variantATemplateName": "<string>",
"variantBTemplateName": "<string>",
"metric": "<string>",
"samplePct": 123,
"splitPct": 123,
"decisionWindowMinutes": 123,
"autopilot": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"winner": "A",
"decidedAt": "2023-11-07T05:31:56Z",
"decidedReason": "<string>",
"pValue": 123,
"relativeLiftPct": 123,
"variantAMetricsJson": "<string>",
"variantBMetricsJson": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Campanhas
Consultar teste A/B
Estado do teste: vencedora, quando e por que foi decidida, e as métricas por
variante. Permissão: READ.
GET
/
v1
/
campaigns
/
{campaignId}
/
ab-test
Consultar teste A/B
curl --request GET \
--url https://api.ararahq.com/v1/campaigns/{campaignId}/ab-test \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/campaigns/{campaignId}/ab-test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/campaigns/{campaignId}/ab-test"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/campaigns/{campaignId}/ab-test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"variantATemplateName": "<string>",
"variantBTemplateName": "<string>",
"metric": "<string>",
"samplePct": 123,
"splitPct": 123,
"decisionWindowMinutes": 123,
"autopilot": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"winner": "A",
"decidedAt": "2023-11-07T05:31:56Z",
"decidedReason": "<string>",
"pValue": 123,
"relativeLiftPct": 123,
"variantAMetricsJson": "<string>",
"variantBMetricsJson": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Authorizations
Chave de API da Arara (ara_live_...), enviada no header Authorization: Bearer ara_live_.... Crie e gerencie as chaves no painel: https://app.ararahq.com/dashboard/apikeys. O valor completo aparece uma única vez, na criação.
Path Parameters
ID da campanha.
Response
Teste A/B
Available options:
A, B JSON serializado em string.